Beta Ramps API
Pool

Get Pool Bank Accounts By Bank Account Id

GET
/pool/bank-accounts/{bank_account_id}

Authorization

headerAuthorizationBearer <token>

Scope: pool-bank-accounts:read

Path Parameters

bank_account_id*string

Response Body

The pool bank account.

application/json
  1. response

An account-level pool bank account (pool_balance). Has no subaccount. Returned by pool create, pool replace-autoexchange, pool get-by-id, and as each element of the pool list.

id*string

Bank account ID (bnk_…).

account_id*string

Owning account ID (acc_…).

asset*string
bank_type*"pool_balance"
Value in"pool_balance"
bank_name?string
account?string
routing_number?string
bank_short_description?string
bank_code?string
branch?string
network*string
instant_payment?string
instant_payment_type?string
country?string
deposit_reference?string
compliance_status*string

unchecked on creation.

is_active*boolean
autoexchange*boolean
autoexchange_destination_wallet_id?string

Destination wallet for auto-exchange, when configured.

created_at*string
Formatdate-time
updated_at*string
Formatdate-time
Example Request
curl -X GET 'https://api.betaramps.com/pool/bank-accounts/string'
Example Response
{  "id": "bnk_0192f5b0-4d5e-7f6a-9b7c-8d9e0a1b2c34",  "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01",  "asset": "USD",  "bank_type": "pool_balance",  "bank_name": "JPMorgan Chase",  "account": "000123456789",  "routing_number": "021000021",  "bank_code": "CHASUS33",  "branch": "0002",  "network": "ach",  "country": "US",  "deposit_reference": "Pool settlement",  "compliance_status": "unchecked",  "is_active": true,  "autoexchange": false,  "created_at": "2026-10-31T12:00:00Z",  "updated_at": "2026-10-31T12:00:00Z"}